package org.bench4q.share.models.master;

import java.util.LinkedList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class TestScriptConfigModel {
	private List<PointModel> points;

	@XmlElementWrapper(name = "points")
	@XmlElement(name = "point")
	public List<PointModel> getPoints() {
		return points;
	}

	private void setPoints(List<PointModel> points) {
		this.points = points;
	}

	public TestScriptConfigModel() {
		this.setPoints(new LinkedList<PointModel>());
	}

	@XmlRootElement
	public static class PointModel {
		private int load;
		private long relativeTime;

		@XmlElement
		public int getLoad() {
			return load;
		}

		public void setLoad(int load) {
			this.load = load;
		}

		@XmlElement
		public long getRelativeTime() {
			return relativeTime;
		}

		public void setRelativeTime(long relativeTime) {
			this.relativeTime = relativeTime;
		}

	}
}
