<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<html>
<head>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<title>Bench4Q</title>
<link id="bs-css" href="lib/chrisma/css/bootstrap-cerulean.css"
	rel="stylesheet">
<link href="lib/chrisma/css/opa-icons.css" rel="stylesheet">
<link
	href="http://ajax.aspnetcdn.com/ajax/bootstrap/2.3.2/css/bootstrap-responsive.css"
	rel="stylesheet">
<link href="lib/chrisma/css/charisma-app.css" rel="stylesheet">
<link rel="shortcut icon" href="images/bench4q.png">
<link href="lib/dataTable/css/jquery.dataTables.css" rel="stylesheet">
</head>
<body class="logged_out wider windows  env-production">
	<fmt:bundle basename="i18n">
		<jsp:include page="publiccontrol/navigatebar.jsp"></jsp:include>
		<div class="container-fluid">
			<div class="row-fluid">
				<jsp:include page="publiccontrol/adminleftmenubar.jsp"></jsp:include>
				<div id="content" class="span10">
					<div>
						<ul class="breadcrumb">
							<li><a href="homepage.jsp"><fmt:message key="home" /></a> <span class="divider">/</span></li>
							<li><a href="#"><fmt:message key="portmanagement"></fmt:message></a></li>
						</ul>
					</div>
					<div class="row-fluid sortable">
						<div class="box span12 center">
							<div class="box-header well" data-original-title>
								<h2><fmt:message key="port"></fmt:message></h2>
								<div class="box-icon">
									<a class="btn btn-setting btn-round" id="plus"><i
										class="icon-plus"></i></a> <a class="btn btn-round list"><i
										class="icon-list"></i></a><a class="btn btn-minimize btn-round"><i
										class="icon-chevron-up"></i></a> <a
										class="btn btn-close btn-round"><i class="icon-remove"></i></a>

								</div>
							</div>
							<div class="box-content">
								<table id="table"
									class="table table-striped table-bordered bootstrap-datatable datatable">
									<thead>
										<tr>

											<th>ID</th>
											<th>port</th>
											<th>InUse</th>
											<th>Action</th>
										</tr>
									</thead>
									<tbody>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
			<hr>
			<div class="modal hide fade" id="portParam">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">x</button>
					<h3>
						<fmt:message key="portManage_jsp_addPort" />
					</h3>
				</div>
				<div class="modal-body">
					<form class="form-horizontal">
						<fieldset>
							<div class="control-group">
								<label class="control-label" for="focusedInput">port</label>
								<div class="controls">
									<input class="input-medium focused" id="port" type="text"
										value="">
									<div id='port_error' style='display: none; color: red'></div>
								</div>
							</div>
						</fieldset>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-primary" data-dismiss="modal"
						id="addPort">
						<fmt:message key="submit" />
					</button>
					<button type="button" class="btn btn-primary" data-dismiss="modal">
						<fmt:message key="cancel" />
					</button>
				</div>
			</div>

			<jsp:include page="publiccontrol/footer.jsp"></jsp:include>
		</div>
		<script
			src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-2.1.0.js"></script>
		<script
			src="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.10.4/jquery-ui.min.js"></script>
		<script src="lib/dataTable/js/jquery.dataTables.js"></script>
		<script src="lib/bootstrap/js/bootstrap-modal.js"></script>
		<script src="lib/chrisma/js/jquery.cookie.js"></script>
		<script src="lib/chrisma/js/theme.js"></script>
		<script src="lib/jqueryi18n/jquery.i18n.properties-1.0.9.js"></script>
		<script src="script/base.js"></script>
		<script src="script/admin/portManage.js"></script>
		<script src="lib/other/jquery.noty.packaged.min.js"></script>
		<script src="script/scriptManager/uiFactory.js"></script>
	</fmt:bundle>
</body>
</html>
