function getIpList() {
	var inputNode = $("#ipConfig").find("input");
	var length = inputNode.length;
	var ipList = new Array();
	for ( var i = 0; i < length; i++)
		ipList.push(inputNode[i].value);
	return ipList;
}

function getScriptIdList() {
	var select =$("#userConfig").find("select");
	var scriptNameList = new Array();
	var scriptIdList = new Array();
	for ( var i = 0; i < select.length; i++)
		scriptNameList.push(select[i].options[select[i].selectedIndex].value);
	for ( var j = 0; j < select.length; j++)
		scriptIdList.push(getScriptId(scriptNameList[j]));
	return scriptIdList;

}
function getScriptFilterOptions(){
	var scriptConfigTr=$("#userConfig").find("tbody").find("tr");
	var scriptFilterOptions=new Array();
	for(var i=0;i<scriptConfigTr.length;i++){
		var td=$(scriptConfigTr[i]).find("td");
		var staticResources=false;
		var timer=false;
		if(td[3].checked ){
			staticResources=truel
			}
		if(td[3].checked){
			timer=true;
		}
		
		scriptFilterOptions.push(new ScriptFilterOptions(staticResources,timer));
	}
	return scriptFilterOptions;

}


function checkTotalAllocation() {
	if (document.getElementById("totalNumber").childNodes[0].nodeValue == "100%") {
		$("#totalNumber").attr("class","total-right");
		$("#alertMessage").attr("class", "hide");
	} else {
		$("#totalNumber").attr("class","total-false");
		$("#alertMessage").attr("class", "show");
	}
}

function checkRequireLoad() {
	if (parseInt($("#RequireLoad").val()) <= 0
			|| $("#RequireLoad").val() == "")
		$("#RequireLoad").attr("class",
				"load-config-input-alert");
	else
		$("#RequireLoad").attr("class",
				"load-config-input");
}

function checkWarmUp() {
	if (parseInt($("#WarmUp").val()) <= 0
			|| $("#WarmUp").val() == "")
		$("#WarmUp").attr("class",
				"load-config-input-alert");
	else
		$("#WarmUp").attr("class",
				"load-config-input");
}

function checkCoolDown() {
	if (parseInt($("#CoolDown").val()) <= 0
			|| $("#CoolDown").val() == "")
		$("#CoolDown").attr("class",
				"load-config-input-alert");
	else
		$("#CoolDown").attr("class",
				"load-config-input");
}

function checkExecuteRange() {
	if (parseInt($("#ExecuteRange").val()) <= 0
			|| $("#ExecuteRange").val() == "")
		$("#ExecuteRange").attr("class",
				"load-config-input-alert");
	else
		$("#ExecuteRange").attr("class",
				"load-config-input");
}

function checkLoadConfig() {
	checkExecuteRange();
	checkCoolDown();
	checkRequireLoad();
	checkWarmUp();
	if ($("#ExecuteRange").attr("class") == "load-config-input"
			&& $("#CoolDown").attr("class") == "load-config-input"
			&& $("#WarmUp").attr("class") == "load-config-input"
			&& $("#RequireLoad").attr("class") == "load-config-input")
		$("#loadConfigMessage").attr("class",
				"hide");
	else
		$("#loadConfigMessage").attr("class",
				"show");
}

function checkUserScenarios() {
	var input= $("#userScenarios").find("input");
	var boolean = 0;
	var number = 0;
	for ( var i = 0; i < input.length; i++) {
		if (input[i].value == "" || parseInt(input[i].value) <= 0) {
// input[i].setAttribute("class", "allocation-input-alert");
			boolean = 1;
		} 
		// else
// input[i].setAttribute("class", "allocation-input");
	}
	for ( var k = 0; k < input.length; k++) {
		if ($(input[k]).attr("class") == "allocation-input")
			number++;
	}
	if (number == input.length)
		boolean = 0;
	if (boolean == 1)
		$("#userConfigMessage").attr("class",
				"show");
	else
		$("#userConfigMessage").attr("class",
				"hide");

}

function checkIP() {

	var input = $("#ipConfig").find("input");
	var patrn = /^(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9])\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0)\.(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[0-9])$/;
	var boolean = 0;
	var number = 0;
	for ( var i = 0; i < input.length; i++) {
		if (input[i].value == "" || patrn.exec(input[i].value) == null) {
			input[i].setAttribute("class", "ip-input-alert");
			boolean = 1;
		} else
			input[i].setAttribute("class", "ip-input");
	}
	for ( var k = 0; k < input.length; k++) {
		if (input[k].getAttribute("class") == "ip-input")
			number++;
	}
	if (number == input.length)
		boolean = 0;
	if (boolean == 1)
		$("#ipConfigMessage")
				.attr("class", "show");
	else
		$("#ipConfigMessage")
				.attr("class", "hide");
}

function checkName() {
	if ($("#testConfigurationName").val() == "") {
		$("#testConfigurationName").attr("class",
				"name-input-alert");
		$("#nameMessage").attr("class", "show");
	} else {
		$("#testConfigurationName").attr("class",
				"name-input");
		$("#nameMessage").attr("class", "hide");
	}
}

function checkAllInpute() {
	checkLoadConfig();
	checkUserScenarios();
	checkIP();
	checkName();
}